define([], function () {
  'use strict';

  /**
   *
   * @constructor
   */
  function AmazingLib() {

    this.doesSelectHasOption = function (selectElement, optionValue) {
      var status = false;

      if (selectElement && selectElement.tagName === 'SELECT' && selectElement.options.length > 0) {
        var existingOptions = selectElement.options;

        for (var i in existingOptions) {
          if (existingOptions[i].value === optionValue) {
            status = true;
            break;
          }
        }
      }

      return status;
    };
  }

  return new AmazingLib();

});
